petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMClearGlobalVectors

Destroys all the global vectors that have been stashed in this DM

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMClearGlobalVectors(DM dm)

Collective on DM Many br

### Input Parameter

dm -the distributed array Many br

Many br

### Keywords

distributed array, create, Global, vector

### See Also

DMCreateGlobalVector(), VecDuplicate(), VecDuplicateVecs(),
DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMGlobalToLocalBegin(), Many brDMGlobalToLocalEnd(), DMLocalToGlobalBegin(), DMCreateLocalVector(), DMRestoreLocalVector() Many brVecStrideMax(), VecStrideMin(), VecStrideNorm() Many br

Level:developer
Location:src/dm/interface/dmget.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages